Package org.eclipse.jdt.ui.wizards

# Interface JavadocExportWizardPage.IJavadocExportWizardPageContainer

Enclosing class:
  JavadocExportWizardPage

public static interface JavadocExportWizardPage.IJavadocExportWizardPageContainer
The page container.

This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getConfiguredJavadocOptions()`
Returns the currently configured Javadoc command options.
`String[]`
`getConfiguredVMOptions()`
Returns the currently configured VM options.
`org.eclipse.jface.operation.IRunnableContext`
`getRunnableContext()`
Returns a runnable context top be used inside this wizard for long running operations
`IJavaElement[]`
`getSelectedJavaElements()`
Returns the Java elements selected for Javadoc generation
`void`
`statusUpdated()`
Calling this method will update status lines and button enablement in the wizard page container

## Method Details

### getRunnableContext

org.eclipse.jface.operation.IRunnableContext getRunnableContext()
Returns a runnable context top be used inside this wizard for long running operations

Returns:
  a runnable context

### statusUpdated

void statusUpdated()
Calling this method will update status lines and button enablement in the wizard page container

### getConfiguredVMOptions

String[] getConfiguredVMOptions()
Returns the currently configured VM options.

Returns:
  the VM Options

### getConfiguredJavadocOptions

String[] getConfiguredJavadocOptions()
Returns the currently configured Javadoc command options.

Returns:
  the Javadoc command options

### getSelectedJavaElements

IJavaElement[] getSelectedJavaElements()
Returns the Java elements selected for Javadoc generation

Returns:
  the Java elements selected for Javadoc generation